# PageForge Documentation

Welcome to the PageForge documentation. This section contains comprehensive guides and references for using PageForge effectively in various environments.

## Getting Started

- [Quick Start](../README.md): Basic introduction and examples
- [Installation Guide](guides/installation.md): Detailed installation instructions

## User Guides

- [Production Configuration](production_guide.md): Comprehensive guide for production deployments
- [API Reference](guides/api_reference.md): Complete API documentation
- [Advanced Usage](guides/advanced_usage.md): Advanced techniques and patterns

## Technical Guides

- [Customizing Templates](guides/templates.md): Creating and using document templates
- [Custom Rendering Engines](guides/engines.md): Implementing your own rendering engines
- [Internationalization](guides/i18n.md): Working with international text and fonts
- [High-Volume Optimizations](production_guide.md#high-volume-usage-optimizations): Advanced techniques for high-throughput environments

## Contributing

- [Development Setup](guides/development.md): Setting up a development environment
- [Testing](guides/testing.md): Running and writing tests
- [Release Process](guides/release.md): Version tagging and release management
